package org.fouram.job;

import org.fouram.core.util.DateUtil;
import org.fouram.core.util.LoggerUtil;
import org.fouram.service.CheckTaskService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service
public class AutoCheckJob {

	@Autowired
	private CheckTaskService checkTaskService;

	@Scheduled(cron = "0 30 10/2 * * ?")
	@Transactional
	public void executeJob1() {
		LoggerUtil.info("executeJob1 : " + DateUtil.getTime());
		checkTaskService.executeBiz(DateUtil.getDate());
		LoggerUtil.info("executeJob1 : " + DateUtil.getTime());
	}

	@Scheduled(cron = "0 0 15/7 * * ?")
	@Transactional
	public void executeJob2() {
		LoggerUtil.info("executeJob2 : " + DateUtil.getTime());
		checkTaskService.executeBiz(DateUtil.getDate());
		LoggerUtil.info("executeJob2 : " + DateUtil.getTime());
	}

	@Scheduled(cron = "0 0 20/12 * * ?")
	@Transactional
	public void executeJob3() {
		LoggerUtil.info("executeJob3 : " + DateUtil.getTime());
		checkTaskService.executeBiz(DateUtil.getDate());
		LoggerUtil.info("executeJob3 : " + DateUtil.getTime());
	}
}
